/**
 * Licensed to Abiquo Holdings S.L. (Abiquo) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.abiquo.am.model;

import javax.ws.rs.core.MediaType;
import javax.xml.bind.annotation.XmlRootElement;

import com.abiquo.server.core.appslibrary.DatacenterRepositoryDto;

/**
 * Each Enterprise have a ''folder'' in the {@link DatacenterRepositoryDto}
 */
@XmlRootElement(name = "enterpriseRepository")
public class EnterpriseRepositoryDto extends RepositoryConfigurationDto
{
    private static final long serialVersionUID = -346581740339075827L;

    /** Same as {@link Enterprise} identifier. */
    private Integer id;

    /**
     * Used space in the enterprise folder of the datacenter repository.
     * <p>
     * TODO instances of shared waste space in the original enterprise repository
     */
    private long enterpriseUsedMb;

    public Integer getId()
    {
        return id;
    }

    public void setId(final Integer id)
    {
        this.id = id;
    }

    public long getEnterpriseUsedMb()
    {
        return enterpriseUsedMb;
    }

    public void setEnterpriseUsedMb(final long repositoryEnterpriseUsedMb)
    {
        this.enterpriseUsedMb = repositoryEnterpriseUsedMb;
    }

    @Override
    public String getMediaType()
    {
        return MediaType.APPLICATION_XML;
    }

    @Override
    public String getBaseMediaType()
    {
        return MediaType.APPLICATION_XML;
    }
}
